GZEXE(1)

NAMA
gzexe - meng-compress file executable

RINGKASAN
gzexe nama ...

DESKRIPSI
Utility gzexe memungkinkan anda untuk meng-compress file executable. Jika file yang sudah ter-compress tersebut dipanggil, ia otomatis akan kembali ke bentuk semula (uncompressed) dan langsung menjalankannya. Contohnya jika anda menjalankan perintah ”gzexe /usr/bin/gdb”, ia akan membuat dua file berikut ini :
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ adalah file asli dan /usr/bin/gdb adalah file executable hasil compress. Anda dapat menghapus /usr/bin/gdb~ setelah anda yakin bahwa /usr/bin/gdb dapat berjalan dengan baik.

Utility ini sangat berguna pada system yang memiliki disk berukuran kecil.

PILIHAN

-d  Mengembalikan file executable yang telah di-compress ke bentuk semula.

LIHAT JUGA
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

PERINGATAN
File executable hasil compress merupakan sebuah shell script. Ia mungkin akan menciptakan security hole. Secara lebih rinci, file executable hasil compress tergantung pada variabel environment PATH untuk menemukan gzip dan file utility lainnya (basename, chmod, ln, mkdir, mktemp, rm, sleep, dan tail).

BUGS
The gzexe command attempts to retain the original file attributes on the compressed executable, but you may have to fix them manually in some cases, using chmod or chown.

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Teguh Adhi A. <adicom@thepentagon.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.